using System;
using Xunit;

namespace GradeBook.Tests
{
    using GradeBook;
    public class TypeTests
    {
        [Fact]
        public void GetBookReturnsDifferentObjects()
        {
            var book1 = GetBook("Book1");
            var book2 = GetBook("Book2");

            Assert.Equal("Book1", book1.Name);
            Assert.Equal("Book2", book2.Name);
        }

        public void TwoVarsCanReferenceSameObject()
        {
            var book1 = GetBook("Book1");
            var book2 = book1;

            Assert.Equal(book2.Name, book1.Name);
            Assert.True(Object.ReferenceEquals(book1, book2));
        }


        private Book GetBook(string name)
        {
            return new Book(name);
        }
    }
}
